This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 10750 - [WebSRT voice] Step 6 of "collect WebSRT cue voice and text" modified the "raw text of the cue"
Summary: [WebSRT voice] Step 6 of "collect WebSRT cue voice and text" modified the "ra...
Status: RESOLVED FIXED
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on: 10320
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-26 18:21 UTC by contributor
Modified: 2012-07-18 18:42 UTC (History)
3 users (show)

See Also:


Attachments

Description contributor 2010-09-26 18:21:25 UTC
Section: http://www.whatwg.org/specs/web-apps/current-work/complete.html#dfnReturnLink-31

Comment:
Step 6 of "collect WebSRT cue voice and text" modified the "raw text of the
cue"

Posted from: 79.138.149.194
Comment 1 Philip J├Ągenstedt 2010-09-26 18:27:56 UTC
This is another point in favor of reworking the voice markup/syntax. As far as I can tell, step 6 will modify what is supposed to be "the raw text of the cue", making it not be the raw text at all. Issues with this:

* It's impossible to use the metadata state if the string happens to begin with one of the voice syntaxes. While always possible to work around, it seems like poor design.

* getCueAsSource() would give different results in UAs implementing the current spec and one adding hypothetical additional voices from later spec revisions.

All in all, if the voices markup is part of the cue text (FWIW: I think it should) then it ought to also be visible in getCueAsSource.
Comment 2 Ian 'Hixie' Hickson 2010-09-29 07:49:51 UTC
Agreed. I'll fix this as part of bug 10320.
Comment 3 Ian 'Hixie' Hickson 2010-12-15 23:11:28 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: dropped the voice identifier feature as a separate issue (I'll readd it as markup in the cue text itself as discussed in bug 10320)
Rationale: Concurred with reporter's comments.

Change won't show immediately due to pub issues.
Comment 4 Ian 'Hixie' Hickson 2010-12-15 23:14:39 UTC
s/as a separate issue/as a syntax construct separate from cue text/